@media (max-width: 1025px) {


    .purpose {
        margin-top: 80px;
    }

    .error__title {
        font-size: 60px;
    }

    .error__wrapper {
        padding-bottom: 40px;
    }


    .about__wrapper::after,
    .footer__flex::after,
    .error__wrapper::after  {
        width: 600px;
        height: 203px;
    }

    .footer__flex::after {
        left: 0;
        top: 0;
    }

    .about__flex {
        flex-wrap: wrap;
    }

    .about__list {
        margin: 24px 0 0 0;
    }

    .about__wrapper,
    .adv,
    .footer__flex {
        padding: 40px 0;
    }

    .mobile__hidden {
        display: none;
    }

    .mobile__visible {
        display: block;
    }

    .mobile__hamburger {
        background: var(--osnovnoy);
        width: 50px;
        height: 50px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .mobile__hamburger img {
        transition: .3s;
    }

    .mobile__hamburger.opened img {
        transform: rotate(180deg);
    }

    .header__contacts {
        display: flex;
        align-items: center;
        gap: 16px;
    }

    .header__nav {
        position: fixed;
        z-index: 9000;
        top: 0;
        bottom: 0;
        left: 0;
        /* overflow-x: hidden; */
        overflow-y: auto;
        width: 100%;
        margin: 0;
        transition: all .25s ease-in-out;
        transform: translateY(-100%);
        display: flex;
        align-items: center;
        justify-content: center;
        backdrop-filter: blur(7px);
        -webkit-backdrop-filter: blur(7px);
        background: rgba(255, 255, 255, 0.8);
        min-height: 100vh;
        opacity: 0;
    }

    .header__nav.opened {
        transform: translateY(0);
        opacity: 1;
    }

    .header.opened {
        border: none;
        /* backdrop-filter: blur(7px);
        -webkit-backdrop-filter: blur(7px);
        background: rgba(255, 255, 255, 0.8); */
    }

    .header__nav ul {
        flex-direction: column;
    }

    .header__nav ul li a {
        font-size: 35px;
        color: var(--osnovnoy);
    }

    .intro__btn {
        position: initial;
        margin-top: 40px;
    }


    .intro__title,
    .intro__subtitle {
        max-width: none;
    }

    .purpose__grid,
    .adv__grid {
        grid-template-columns: repeat(2, 1fr);
    }

      .error__wrapper::after  {
        top: 76px;
        right: -10px;
      }
}

@media (max-width: 800px) {
    .footer__flex {
        flex-wrap: wrap;
    }

    .footer__contacts {
        width: 100%;
        margin: 0;
        margin-bottom: 24px;
    }
}

@media (max-width: 600px) {
    .intro__btn,
    .footer__btn {
        max-width: none;
    }

    .footer__flex::after {
        left: initial;
        right: 0;
    }

    .purpose {
        margin-top: 40px;
    }

    .purpose__grid,
    .adv__grid {

        grid-template-columns: repeat(1, 1fr);
    }

    .purpose__title,
    .adv__title {
        margin-bottom: 24px;
    }

    .purpose__item,
    .adv__item {
        padding: 20px;
    }

    .intro__title {
        font-size: 58px;
    }

    .intro__subtitle {
        font-size: 24px;
    }


    .intro__wrapper {
        padding-bottom: 40px;
    }


    .about__title,
    .footer__phone {
        font-size: 35px;
    }

    .footer__email {
        font-size: 25px;
    }


    .about__wrapper::after,
    .footer__flex::after,
    .error__wrapper::after  {
        width: 400px;
        height: 136px;
    }


}


@media (max-width: 450px) {
    .error__title {
        font-size: 45px;
    }

    .error__wrapper {
        padding-top: 120px;
    }
}

@media (max-width: 370px) {
    .intro__title {
        font-size: 50px;
    }

    .intro__subtitle {
        font-size: 20px;
    }

}


@media (max-width: 1179px) and (min-width: 981px) {}